package com.example.ueberwachungssystem.VideoDetection;

import android.util.Log;

import java.util.Calendar;

/** Detection Report Class */
public class DetectionReport {
    public String timeStamp;
    public String detectionType;
    public float detectedValue;
    public String detectorID;

    public DetectionReport(String detectorID, String detectionType, float detectedAmplitude) {
        this.timeStamp = String.valueOf(Calendar.getInstance().getTime());
        this.detectionType = detectionType;
        this.detectedValue = detectedAmplitude;
        this.detectorID = detectorID;
    }

    /** Debug Report */
    public void log(String tag) {
        String time = "Time: [" + this.timeStamp + "]";
        String type = "Type: [" + this.detectionType + "]";
        String value = "Value: [" + this.detectedValue + "]";
        String id = "ID: [" + this.detectorID + "]";

        String message = String.join("\t", time, type, value, id);
        Log.d(tag, message);
    }
}